Skip to main content
POST
/
storage
/
attach
Attach storage to a cluster
curl --request POST \
  --url https://api.example.com/storage/attach \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "storage_id": "<string>",
  "cluster_ids": [
    "<string>"
  ]
}
'
{
  "storage_id": "<string>",
  "message": "<string>",
  "cluster_ids": [
    "<string>"
  ],
  "request_ids": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /storage/attach.

storage_id
string
required

Storage ID to attach (must start with 's-')

cluster_ids
string[]
required

Cluster ID(s) to attach storage to

Required array length: 1 element

Response

Storage attachment initiated

Response for POST /storage/attach.

storage_id
string
required

TensorPool storage ID

message
string
required

Status message

cluster_ids
string[]

Attached cluster IDs

request_ids
string[]

Request IDs for tracking